Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class NodeFormats

    java.lang.Object
      info.bioinfweb.treegraph.document.format.TextFormats
          info.bioinfweb.treegraph.document.format.NodeFormats

All Implemented Interfaces:
  EdgeRadiusFormats, ElementFormats, LineFormats, Cloneable

    public class NodeFormats

extends TextFormats
implements ElementFormats, LineFormats, EdgeRadiusFormats, Cloneable

Field Summary
`private DistanceValue` | `edgeRadius`
`private Color` | `lineColor`
`private DistanceValue` | `lineWidth`

Fields inherited from class info.bioinfweb.treegraph.document.format.TextFormats
`BOLD, DEFAULT_DECIMAL_FORMAT_EXPR, DEFAULT_FONT_NAME, DEFAULT_TEXT_COLOR, DEFAULT_TEXT_HEIGHT_IN_MM, ITALIC, PLAIN, UNDERLINE`

Fields inherited from interface info.bioinfweb.treegraph.document.format.LineFormats
`DEFAULT_LINE_COLOR, DEFAULT_LINE_WIDTH_IN_MM`

Fields inherited from interface info.bioinfweb.treegraph.document.format.EdgeRadiusFormats
`STD_EDGE_RADIUS_IN_MM`

Constructor Summary
`NodeFormats()`

Method Summary
`void` | `assign(NodeFormats other)`
`void` | `assignEdgeRadiusFormats(EdgeRadiusFormats other)`
`void` | `assignLineFormats(LineFormats other)`
`NodeFormats` | `clone()`
`DistanceValue` | `getEdgeRadius()` The line wich is dasplayed for an node can be rounded at ist top and bottom end The inner radius (without the line width) of the quater of a circle at the ends of this line is specified by the edge radius.
`Color` | `getLineColor()`
`DistanceValue` | `getLineWidth()`
`void` | `setLineColor(Color color)`

Methods inherited from class info.bioinfweb.treegraph.document.format.TextFormats
`addTextStyle, assignTextFormats, getDecimalFormat, getDescent, getFont, getFontName, getLocale, getTextColor, getTextHeight, getTextStyle, hasTextStyle, removeTextStyle, setDecimalFormat, setFontName, setLocale, setTextColor, setTextStyle`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lineWidth

    private DistanceValue lineWidth

### edgeRadius

    private DistanceValue edgeRadius

### lineColor

    private Color lineColor

Constructor Detail

### NodeFormats

    public NodeFormats()

Method Detail

### getLineWidth

    public DistanceValue getLineWidth()

  Specified by:
    `getLineWidth` in interface `LineFormats`

### getEdgeRadius

    public DistanceValue getEdgeRadius()

  The line wich is dasplayed for an node can be rounded at ist top and bottom end The inner radius (without the line width) of the quater of a circle at the ends of this line is specified by the edge radius.

  Specified by:
    `getEdgeRadius` in interface `EdgeRadiusFormats`
  Returns:
    the edge radius for this node

### getLineColor

    public Color getLineColor()

  Specified by:
    `getLineColor` in interface `LineFormats`

### setLineColor

    public void setLineColor(Color color)

  Specified by:
    `setLineColor` in interface `LineFormats`

### assignLineFormats

    public void assignLineFormats(LineFormats other)

  Specified by:
    `assignLineFormats` in interface `LineFormats`

### assignEdgeRadiusFormats

    public void assignEdgeRadiusFormats(EdgeRadiusFormats other)

  Specified by:
    `assignEdgeRadiusFormats` in interface `EdgeRadiusFormats`

### assign

    public void assign(NodeFormats other)

### clone

    public NodeFormats clone()

  Specified by:
    `clone` in interface `ElementFormats`
  Overrides:
    `clone` in class `TextFormats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD